#if !defined(AFX_ANADIRBD_H__7CAD15D8_9509_45E0_80A6_C77941F3AA78__INCLUDED_)
#define AFX_ANADIRBD_H__7CAD15D8_9509_45E0_80A6_C77941F3AA78__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AnadirBD.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAnadirBD dialog

class CAnadirBD : public CDialog
{
// Construction
public:
	CAnadirBD(CWnd* pParent = NULL);   // standard constructor

	CString workdir; // Directorio de trabajo de la aplicación
	
	// Comprueba que 's' no comienza por un espacio en blanco
	bool Vacia(CString s);
	// Comprueba que 's' sea un número
	bool SoloNumeros(CString s);

// Dialog Data
	//{{AFX_DATA(CAnadirBD)
	enum { IDD = IDD_ANADIRBD };
	CString	m_TxtNombreBD;
	CString	m_TxtSigma;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAnadirBD)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAnadirBD)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnAyuda();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANADIRBD_H__7CAD15D8_9509_45E0_80A6_C77941F3AA78__INCLUDED_)
